@import "~sass/media";
@import '~sass/variables';
.store-detail {
  display: flex;
  justify-content: space-between;
  padding-top: 20px;
  @include for-size(phone-only) {
    display: block;
  }
}
.store-wrap {
  display: flex;
  justify-content: flex-start;
  @include for-size(phone-only) {
    display: block;
  }
}
.store-distance {
  display: flex;
  justify-content: flex-end;
  @include for-size(phone-only) {
  justify-content: left;
  margin-top: 20px;
  }
}
.store-logo {
  display: flex;
  align-items: center;
  border-right: 1px solid #d2d0d0;
  margin-right: 20px;
  width: 250px;
  img {
    width: 100%;
  }
  @include for-size(phone-only) {
    border: none;
  }
}
.store-add {
  font-size: 16px;
  margin: 13px 0;
}

.store-title {
  font-size: 18px;
  font-weight: 600;
}
.store-img {
  position: relative;
  img {
    width: 175px;
    border: 1px solid #cacaca;
    border-radius: 30px;
    height: 175px;
    object-fit: cover;
  }
  span {
    position: absolute;
    left: 0;
    bottom: 11px;
    text-align: center;
    background-color: rgba(0,0,0,0.6);
    width: 100%;
    right: 0;
    height: 50px;
    color: #fff;
    line-height: 3;
    border-radius: 0px 0px 30px 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
    font-size: 18px;
    i {
      font-size: 18px;
      padding-right: 5px;
    }
  }
}
.product-wrap .mat-raised-button {
  margin: 0 auto;
  text-align: center;
  display: block;
  top: 1vh;
}

.product-wrap .mat-raised-button.mat-primary {
  background-color: $primary-color;
}

.product-wrap .count-dwon {
  color: $primary-color;
  float: right;
}

.product-wrap .col-md-3 {
  max-width: 20%;
}

.product-wrap .col-md-6 {
  max-width: 49% !important;
}

@include for-size(phone-only) {
  .product-wrap .col-md-3 {
      max-width: 100%;
  }
}
@include for-size(tablet-portrait-up) {
  .product-wrap .col-md-3 {
      max-width: 25%;
  }
}
@include for-size(phone-only){
  .product-wrap .col-md-3 {
      max-width: 50%; 
  }
}
@media (min-width: 400px) and (max-width: 600px) {
  .product-tile .card-img-top {
      width: 185px !important;
      height: 185px !important;
  }
}
@media (min-width: 320px) and (max-width: 400px) {
  .product-tile .card-img-top {
      width: 155px !important;
      height: 155px !important;
  }
}
